Qt 5.9 | Qt 3D | C++ Classes | QShaderData

Qt 5.9.9 Reference Documentation

# QShaderData Class

(Qt3DRender::QShaderData)

Provides a way of specifying values of a Uniform Block or a shader structure. More...

Header: | #include <Qt3DRender/QShaderData>
qmake: | QT += 3drender
Since: | Qt 5.5
Inherits: | Qt3DCore::QComponent

- List of all members, including inherited members

## Public Functions

| QShaderData(Qt3DCore::QNode *parent = nullptr)
PropertyReaderInterfacePtr | propertyReader() const

- 2 public functions inherited from Qt3DCore::QComponent
- 11 public functions inherited from Qt3DCore::QNode

## Protected Functions

| QShaderData(QShaderDataPrivate &dd, Qt3DCore::QNode *parent = nullptr)

- 2 protected functions inherited from Qt3DCore::QNode

### Additional Inherited Members

- 1 property inherited from Qt3DCore::QComponent
- 3 properties inherited from Qt3DCore::QNode
- 1 public slot inherited from Qt3DCore::QComponent
- 3 public slots inherited from Qt3DCore::QNode
- 3 signals inherited from Qt3DCore::QComponent
- 4 signals inherited from Qt3DCore::QNode

## Detailed Description

Provides a way of specifying values of a Uniform Block or a shader structure.

Note: When subclassing and adding properties to QShaderData, note that if you need to nest an inner Qt3DRender::QShaderData, the data type of the property should be Qt3DRender::QShaderData* instead of the name of your subclass.

## Member Function Documentation

### QShaderData::QShaderData(Qt3DCore::QNode *parent = nullptr)

Default constructs an instance of QShaderData.

### `[protected]` QShaderData::QShaderData(QShaderDataPrivate &dd, Qt3DCore::QNode *parent = nullptr)

Copy constructor.

### PropertyReaderInterfacePtr QShaderData::propertyReader() const

QShaderData::propertyReader Returns PropertyReaderInterfacePtr for this shader data